Details

Get all available details for a given release.

Example request

GET https://api.7digital.com/1.2/release/details?releaseid=1402123&oauth_consumer_key=YOUR_KEY_HERE&country=GB&usageTypes=download,subscriptionstreaming,adsupportedstreaming

Example response

{
  "release": {
    "id": 1402123,
    "title": "The Dark Side Of The Moon",
    "version": "2011 Remastered Version [Explicit]",
    "type": "Album",
    "barcode": "5099902984056",
    "year": 2011,
    "explicitContent": true,
    "artist": {
      "id": 447,
      "name": "Pink Floyd",
      "appearsAs": "Pink Floyd",
      "slug": "pink-floyd",
      "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/004/0000000447_150.jpg",
      "isPlaceholderImage": true
    },
    "slug": "the-dark-side-of-the-moon-2011-remastered-version-explicit-1402123",
    "cline": "2016 Pink Floyd Music Ltd.",
    "pline": "2016 Pink Floyd Music Ltd., marketed and distributed by Parlophone Records Ltd., a Warner Music Group Company",
    "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/014/021/0001402123_50.jpg",
    "label": {
      "id": 547130,
      "name": "Pink Floyd Records"
    },
    "licensor": {
      "id": 18,
      "name": "Warner"
    },
    "popularity": 0.0,
    "duration": 2565,
    "trackCount": 10,
    "download": {
      "releaseDate": "2011-09-25T23:00:00Z",
      "packages": [
        {
          "id": 2,
          "description": "Standard",
          "price": {
            "currencyCode": "GBP",
            "sevendigitalPrice": "9.49",
            "recommendedRetailPrice": "9.49"
          },
          "formats": [
            {
              "id": 17,
              "description": "MP3 320"
            }
          ]
        },
        {
          "id": 9,
          "description": "Premium",
          "price": {
            "currencyCode": "GBP",
            "sevendigitalPrice": "12.49",
            "recommendedRetailPrice": "12.49"
          },
          "formats": [
            {
              "id": 45,
              "description": "FLAC 16-bit 44.1kHz"
            }
          ]
        }
      ]
    },
    "subscriptionStreaming": {
      "releaseDate": "2011-09-25T23:00:00Z"
    }
  }
}

Description of all possible response fields

NameTypeDescription
releaseIdintegerunique identifier of the release in MassiveMusic catalogue
titlestringtitle of the release
versionstringversion title of the release
typeenumerationtype of the release, one of: album/single/video
barcodestringbarcode of the product (typically UPC)
yearintegeryear of the original release (as supplied to MassiveMusic by the issuing label, where data is not available, year of the digital release), only available on some endpoints
explicitContentbooleanparental advisory - explicit content tag, as supplied to MassiveMusic by the issuing label, only available on some endpoints
artistartist objectprimary artist of the release (subset of fields of the full artist details as described above)
imageURLurl of the release cover picture
slugstringurl slug of the release
labellabel objectcontains MassiveMusic ID and name of the issuing label
licensorlicensor objectid and name of the licensor who controls the rights to the release, currently available on the release/search and release/details endpoints
popularitydecimala figure between 0 and 1 representing the release popularity, currently available on the release/search, artist/releases, release/details and release/bytag/* endpoints
durationintegertotal length in seconds of all tracks appearing on release, only available on some endpoints
trackCountintegernumber of tracks appearing on release, only available on some endpoints
downloaddownload objectcontains package information relevant to download, only applicable to endpoints returning tracks or releases
subscriptionStreamingsubscription streaming objectcontains information for subscription streaming, only applicable to endpoints returning tracks or releases
adSupportedStreamingad supported streaming objectcontains information for ad supported streaming, only applicable to endpoints returning tracks or releases

Specific Error Codes

  • HTTP: 2001 - Release id not licensed for this partner. The copyright for the release you requested is owned by a label not currently licensed for your service.
Query Params
int32
required

The unique identifier of the release.

string
required

Only use the usageTypes you need, e.g. download, subscriptionstreaming or adsupportedstreaming.

string
required

ISO 2-character code of the country the end user resides in.

int32

The requested width of the image in pixels. Available image sizes are listed here.

Language
LoadingLoading…